//*************************************************************************
//* ================
//*  DynArray2 Class
//* ================
//*
//* (Description)
//*    DynArray2 class supplies a functionality of a 2-dim array
//*    which has a variable size in each dimension.
//* (Requires)
//* 	TObjArray:
//* (Provides)
//* 	class DynArray2
//* (Update Recored)
//*    2000/05/17  K.Fujii	Original very primitive version.
//*
//*************************************************************************
//
#include "DynArray2.h"
#include <iostream.h>
//_____________________________________________________________________
//  -------------------------
//  2-dim Dynamic Array Class
//  -------------------------
//

ClassImp(DynArray2)

TObject * DynArray2::operator() (Int_t i, Int_t j) const
{
	return ((Dim *)At(i))->At(j);
}

TObject *& DynArray2::Set(Int_t i, Int_t j)
{
	Dim *d1p = (Dim *)SafeAt(i);	// Force i to dimension 1
	if (!d1p) {			// If no 2nd dim. at i
		d1p = new Dim();	// create one
		AddAt(d1p,i);		// and add it to i.
	}
	d1p->SafeAt(j);			// Force j to dimension 2

	return d1p->operator[](j);
}

