#ifndef __DYNARRAY2__
#define __DYNARRAY2__
//*************************************************************************
//* ================
//*  DynArray2 Class
//* ================
//*
//* (Description)
//*    DynArray2 class supplies a functionality of a 2-dim array
//*    which has a variable size in each dimension.
//* (Requires)
//* 	TObjArray:
//* (Provides)
//* 	class DynArray2
//* (Update Recored)
//*    2000/05/17  K.Fujii	Original very primitive version.
//*
//*************************************************************************
//
#include "Dim.h"
//_____________________________________________________________________
//  -------------------------
//  2-dim Dynamic Array Class
//  -------------------------
//
class DynArray2 : public Dim {
public:
   DynArray2() {}
   virtual ~DynArray2() { Delete(); }

   virtual TObject *  operator ()(Int_t i, Int_t j) const;
   // Very strange:
   // 	Rcint does not allow operator() on the LFS.
   //
   virtual TObject *& Set(Int_t i, Int_t j);

   ClassDef(DynArray2,1)  // Base class for lockable objects
};

#endif



